/**
 *
 */
package de.intevation.gnv.state;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 * 
 */
public class DefaultInputData implements InputData {

    /**
     *
     */
    private static final long serialVersionUID = 4308041648698108066L;
    private String name = null;
    private String value = null;

    /**
     * Constructor
     */
    public DefaultInputData(String name, String value) {
        this.name = name;
        this.value = value;
    }

    /**
     * @see de.intevation.gnv.state.InputData#getName()
     */
    public String getName() {
        return this.name;
    }

    /**
     * @see de.intevation.gnv.state.InputData#getValue()
     */
    public String getValue() {
        return this.value;
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return this.name + "==> " + this.value;
    }

    /**
     * @see de.intevation.gnv.state.InputData#concartValue(java.lang.String)
     */
    public void concartValue(String value) {
        this.value = this.value + " , " + value;
    }

}
